%global ocpnlibscommit0 c1d82631756056437edc58235d9e1ff68b46ddf3
%global climatodatacommit 006120320bde2c1ad8da10a911cdf2b0f3bffe0d
%define piname	climatology_pi

Name:		opencpn-climatology-plugin
Summary:	Climatology plugin for OpenCPN
Version:	1.6.33.0
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://github.com/seandepagnier/climatology_pi
Source0:	https://github.com/rgleason/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Source2:    https://github.com/seandepagnier/climatology_pi_data/archive/%{climatodatacommit}/climatology_pi_data-%{climatodatacommit}.tar.gz
Patch0:     opencpn-libs-c1d8263-tinyxml.patch
Patch1:     opencpn-libs-c1d8263-json.patch
Patch2:		climatology_pi-1.6.33-add-missing-gl-include.patch
Patch3:     climatology-Plugin-1.6.33-Configure.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	git
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(zlib)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Provides overlay capabilities for historic weather data.

Supported Climatology types include:

* Average wind directions and speed
* Percentage of gale and calm conditions
* Average swell and sea state (not yet implemented)
* Precipitation, Humidity, and Cloud Cover
* Monthly average Sea Level pressure and Sea Temperature, Air Temperature
* Tropical Cyclone tracks

%prep
%setup -q -a1 -a2 -n %{piname}-%{version}
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1

mv opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/
mv climatology_pi_data-%{climatodatacommit}/* data/

%build
%cmake

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/


%changelog
* Sun Feb 02 2025 philippedidier <philippedidier> 1.6.33.0-1.mga9
+ Revision: 2144726
- new version 1.6.33.0 improved - and based on last opencpn-libs
- new version 1.6.31 with recent climatology data

* Tue May 30 2023 philippedidier <philippedidier> 1.5.4.0-1.mga9
+ Revision: 1959938
- new version 1.5.4.0 built upon wxgtku 3.2

* Sun Jul 10 2022 philippedidier <philippedidier> 1.4.46.0-2.mga9
+ Revision: 1868287
- New version 1.4.46.0
- New version

* Sun Apr 03 2022 umeabot <umeabot> 1.4.23.0-3.mga9
+ Revision: 1842497
- Mageia 9 Mass Rebuild

* Mon Jul 12 2021 barjac <barjac> 1.4.23.0-2.mga9
+ Revision: 1735753
- Build with wxgtku3.0 not 3.1

* Mon Jun 21 2021 barjac <barjac> 1.4.23.0-1.mga9
+ Revision: 1731647
- new version 1.4.23.0
- New data files extracted from upstream git
- New small script used to create data tarball
- Improved description formatting
- Use autosetup
- Removed un-needed patch
- Updated one BR

* Fri Jan 01 2021 wally <wally> 1.4.15.0-2.mga8
+ Revision: 1667711
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Sep 20 2020 barjac <barjac> 1.4.15.0-1.mga8
+ Revision: 1628978
- new version 1.4.15.0
- patched to use pkgconfig for gtk3 as cmake has no FindGTK3.cmake
- added icons to files list
- added BR git for cmake

* Sun Aug 16 2020 wally <wally> 1.4.1-5.mga8
+ Revision: 1614352
- rebuild for new wxgtk 3.1.4

* Wed Feb 19 2020 daviddavid <daviddavid> 1.4.1-4.mga8
+ Revision: 1544121
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- rebuild for wxgtk 3.1.3

* Sat Jul 13 2019 wally <wally> 1.4.1-2.mga8
+ Revision: 1421016
- rebuild with gtk3 enabled wxgtk 3.1.2

* Fri Jan 18 2019 barjac <barjac> 1.4.1-1.mga7
+ Revision: 1357998
- new version 1.4.1

* Sun Sep 23 2018 umeabot <umeabot> 1.4-4.mga7
+ Revision: 1299994
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 1.4-3.mga7
+ Revision: 1239507
- fix build on aarch64

* Thu Apr 12 2018 barjac <barjac> 1.4-2.mga7
+ Revision: 1217959
- new version 1.4

* Thu Dec 28 2017 barjac <barjac> 1.3.1-1.mga7
+ Revision: 1186602
- new version 1.3.1
- dont own %%{_libdir}/opencpn

* Sat Jun 03 2017 akien <akien> 1.2-5.mga6
+ Revision: 1106110
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 1.2-4.mga6
+ Revision: 1019830
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 1.2-3.mga6
+ Revision: 962317
- changed buildrequire wxgtku3.0
- new version 1.2

* Tue Feb 16 2016 umeabot <umeabot> 1.1.001-2.mga6
+ Revision: 961930
- Mageia 6 Mass Rebuild

* Tue Dec 08 2015 barjac <barjac> 1.1.001-1.mga6
+ Revision: 908770
- new package opencpn-climatology-plugin

